import java.util.Date
import java.text.SimpleDateFormat

plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("io.objectbox")
    kotlin("kapt")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.example.wallisyn"
    compileSdk = 36

    defaultConfig {
        //com.example.wallisyn
        applicationId = "com.wallpaper.wallisyn"
        minSdk = 24
        targetSdk = 36
        versionCode = 3
        versionName = "1.2"

        setProperty("archivesBaseName", "Wallisyn_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.live.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    buildFeatures{
        viewBinding = true
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {
    implementation(files("libs/UpLoadLibrary_12_03_15_13-release.aar"))
    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.11.0")
    implementation("androidx.constraintlayout:constraintlayout:2.2.1")
    implementation("androidx.test:monitor:1.8.0")
    implementation("androidx.test.ext:junit:1.3.0")
    testImplementation("junit:junit:4.13.2")
    implementation ("com.github.bumptech.glide:glide:5.0.5")
    implementation ("jp.wasabeef:glide-transformations:4.3.0") // Glide Transformations
    implementation("com.squareup.okhttp3:okhttp:5.3.1")
    androidTestImplementation("org.testng:testng:6.9.6")

    // Import the Firebase BoM
    implementation(platform("com.google.firebase:firebase-bom:34.6.0"))
    implementation("com.google.firebase:firebase-crashlytics-ndk")
    implementation("com.google.firebase:firebase-analytics")
    // google ads
    implementation ("com.google.android.gms:play-services-ads-identifier:18.0.1")
    // okhttp
    implementation ("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")

    //TU (Necessary)
    api("com.thinkup.sdk:core-tpn:6.5.16")
    api("com.thinkup.sdk:nativead-tpn:6.5.16")
    api("com.thinkup.sdk:banner-tpn:6.5.16")
    api("com.thinkup.sdk:interstitial-tpn:6.5.16")
    api("com.thinkup.sdk:rewardedvideo-tpn:6.5.16")
    api("com.thinkup.sdk:splash-tpn:6.5.16")
//Androidx (Necessary)
    api("androidx.appcompat:appcompat:1.6.1")
    api("androidx.browser:browser:1.4.0")
//Vungle
    api("com.thinkup.sdk:adapter-tpn-vungle:6.5.16")
    api("com.vungle:vungle-ads:7.5.0")
    api("com.google.android.gms:play-services-basement:18.1.0")
    api("com.google.android.gms:play-services-ads-identifier:18.0.1")
//UnityAds
    api("com.thinkup.sdk:adapter-tpn-unityads:6.5.16")
    api("com.unity3d.ads:unity-ads:4.14.0")
//Ironsource
    api("com.thinkup.sdk:adapter-tpn-ironsource:6.5.16")
    api("com.ironsource.sdk:mediationsdk:8.7.0")
    api("com.google.android.gms:play-services-appset:16.0.2")
    api("com.google.android.gms:play-services-ads-identifier:18.0.1")
    api("com.google.android.gms:play-services-basement:18.1.0")
//Bigo
    api("com.thinkup.sdk:adapter-tpn-bigo:6.5.16.1")
    api("com.bigossp:bigo-ads:5.5.1")
//Mintegral
    api("com.thinkup.sdk:adapter-tpn-mintegral:6.5.16.1")
    api("com.mbridge.msdk.oversea:mbridge_android_sdk:16.9.91")
    api("androidx.recyclerview:recyclerview:1.1.0")
//Pangle
    api("com.thinkup.sdk:adapter-tpn-pangle:6.5.16.2")
    api("com.pangle.global:pag-sdk:7.6.0.2")
    api("com.google.android.gms:play-services-ads-identifier:18.0.1")
}